## org.h2.command.ddl
Class DefineCommand

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand

Direct Known Subclasses:
  AlterIndexRename, AlterTableRenameColumn, AlterUser, AlterView, Analyze, CreateAggregate, CreateFunctionAlias, CreateRole, CreateSchema, CreateUser, CreateUserDataType, DeallocateProcedure, DropAggregate, DropDatabase, DropFunctionAlias, DropRole, DropSchema, DropUser, DropUserDataType, GrantRevoke, PrepareProcedure, SchemaCommand, SetComment, TruncateTable

    public abstract class DefineCommand

extends Prepared

This class represents a non-transaction statement, for example a CREATE or DROP.

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`DefineCommand(Session session)` Create a new command for the given session.

Method Summary
`boolean` `isReadOnly()` Check if this command is read only.
`boolean` `isTransactional()` Check if this command is transactional.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefineCommand

    public DefineCommand(Session session)

  Create a new command for the given session.

  Parameters:
    `session` - the session

Method Detail

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### isReadOnly

    public boolean isReadOnly()

  Description copied from class: `Prepared`
  Check if this command is read only.

  Overrides:
    `isReadOnly` in class `Prepared`
  Returns:
    true if it is

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set